| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__GetDestCodeRequest Struct Reference
Destination Code and Code Index

Get Destination Code request. More...

`#include <osv-if-doc.h>`

## Public Attributes
unsp__DestCodeDigits | DestCode
| Destination Code Digits. More...
unsp__NumberPlanName | NumberPlanName
| Number Plan Name. More...
unsp__CodeIndexName | CodeIndexName
| Code Index Name. More...
enum unsp__NatureOfAddress * | NatureOfAddress
| Nature Of Address. More...
char * | RateArea
| Rate Area. More...
char * | COS
| Class of Service. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...

## Detailed Description

Get Destination Code request.

Used by unsp__GetDestCode()

## Member Data Documentation

## ◆ CodeIndexName

unsp__CodeIndexName unsp__GetDestCodeRequest::CodeIndexName

Code Index Name.

required: true for Code Indexes
default value[range]: NA [1..31]

## ◆ COS

char* unsp__GetDestCodeRequest::COS

Class of Service.

required: false

See also
  unsp__COSName

## ◆ DestCode

unsp__DestCodeDigits unsp__GetDestCodeRequest::DestCode

Destination Code Digits.

required: true, for Destination Codes
default value[range]: NA [1..15]

## ◆ InterfaceWSDL

char* unsp__GetDestCodeRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ NatureOfAddress

enum unsp__NatureOfAddress* unsp__GetDestCodeRequest::NatureOfAddress

Nature Of Address.

required: true
default value[range]: NA

## ◆ NumberPlanName

unsp__NumberPlanName unsp__GetDestCodeRequest::NumberPlanName

Number Plan Name.

required: true

See also
  unsp__NumberPlanName

## ◆ RateArea

char* unsp__GetDestCodeRequest::RateArea

Rate Area.

required: false

See also
  unsp__RateAreaName

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h